Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.data
Interface MessageAttachment

All Superinterfaces:
  Serializable

    public interface MessageAttachment

extends Serializable

Represents part of an attachment in an ebXML or RosettaNet business message. Provides methods for retrieving untyped XML or non-XML data from an attachment.

Nested Class Summary
`static class` | `MessageAttachment.Factory` Static factory class for creating new instances of MessageAttachment

Field Summary
`static long` | `serialVersionUID`

Method Summary
`RawData` | `getRawData()` Retrieves this portion of the attachment as non-XML (raw) data.
`org.apache.xmlbeans.XmlObject` | `getXmlObject()` Retrieves this portion of the attachment as an XmlObject.
`boolean` | `isRawData()` Returns true if this portion of the attachment contains non-XML (raw) data.
`boolean` | `isXmlObject()` Returns true if this portion of the attachment contains untyped XML data.
`String` | `toString()` Converts this portion of the attachment to a String.

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Method Detail

### getXmlObject

    org.apache.xmlbeans.XmlObject getXmlObject()

  Retrieves this portion of the attachment as an XmlObject. Call isXmlObject() first to verify that the data is untyped XML.

### getRawData

    RawData getRawData()

  Retrieves this portion of the attachment as non-XML (raw) data. Call isRawData() first to verify that the data is raw data.

### isXmlObject

    boolean isXmlObject()

  Returns true if this portion of the attachment contains untyped XML data.

### isRawData

    boolean isRawData()

  Returns true if this portion of the attachment contains non-XML (raw) data.

### toString

    String toString()

  Converts this portion of the attachment to a String. Overrides: toString in class Object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD